package org.jdtaus.core.monitor.ri;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class DefaultTaskMonitorBundle{ 

/** <pre> The monitor thread terminated abnormally. Consult the logs for any causes.</pre>. */
public static String getThreadDiedText(final Locale locale) {
    return getMessage("threadDied", locale);
}

/** <pre> The monitor thread terminated abnormally. Consult the logs for any causes.</pre>. */
public static MessageFormat getThreadDiedMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("threadDied", locale), locale);
}

/** <pre> A new monitor thread was started with a period of {0}ms.</pre>. */
public static String getThreadStartedText(final Locale locale) {
    return getMessage("threadStarted", locale);
}

/** <pre> A new monitor thread was started with a period of {0}ms.</pre>. */
public static MessageFormat getThreadStartedMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("threadStarted", locale), locale);
}

private static final Map cache = new HashMap();

private static String getMessage(final String key, Locale locale) {
    if(locale == null) {locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.core.monitor.ri.DefaultTaskMonitor", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
